import wepy from 'wepy'
import md5 from '../utils/md5'
import {loading, loaded} from '../utils/loading'
import {toast} from '../utils/toast'
const APP_KEY = 'JJSB09$%D89@!@=='

export const $post = (url, params, result, _config = {isLoading: true}) => {
    request(url, params, result, 'POST', _config)
}
export const $get = (url, params, result, _config = {isLoading: true}) => {
    request(url, params, result, 'GET', _config)
}

function request(url, params, {success = () => {}, fail = () => {}, complete = () => {}}, method, _config) {
    // requestInfo(url, params)
    if (_config.isLoading) loading()
    const Timestamp = new Date().getTime()
    let token = 'linxin'
    let headers = _config.headers !== undefined ? _config.headers : {'Accept': 'application/json', 'Content-Type': 'application/json'}
    headers['Timestamp'] = Timestamp
    headers['jjsb-access-token'] = token
    headers['sign'] = md5.hex_md5(`${Timestamp}${token}${APP_KEY}`)
    wepy.request({
        url: url,
        method: method,
        data: params,
        header: headers,
        success: res => {
            loaded()
            if (res.data.success) {
                success(res.data.resultBody)
                // resultInfo(url, params, res.data.resultBody)
            } else {
                console.error(`网络请求错误信息===${res.data.resultMessage}`)
                toast(res.data.resultMessage)
                fail()
            }
        },
        fail: err => {
            loaded()
            toast(err)
            fail()
        },
        complete: comp => {
            loaded()
            complete()
        }
    })
}
// function requestInfo (url, params) {
//     console.log('%c********************************  request请求信息  S  ********************************', 'color: #468ceb')
//     console.time(`|--- 请求时间        `, 'color: #FA531B')
//     console.log(`%c|--- URL        =>   ${url}`, 'color: #FA531B')
//     console.group('%c|-----------------------------     入参列表     ------------------------------|', 'color: #468ceb')
//     for (let i in params) {
//         console.log(`%c|--- ${i}   =>   ${params[i]}`, 'color: #FA531B;')
//     }
//     console.groupEnd()
//     console.log('%c********************************  request网络请求  E  *********************************', 'color: #468ceb')
// }

// function resultInfo (url, params, result) {
//     console.log('%c********************************     请求信息  S  ********************************', 'color: #468ceb')
//     console.timeEnd(`|--- 请求时间        `, 'color: #FA531B')
//     console.log(`%c|--- URL        =>   ${url}`, 'color: #FA531B')
//     console.group('%c|-----------------------------     入参列表     ------------------------------|', 'color: #468ceb')
//     for (let i in params) {
//         console.log(`%c|--- ${i}   =>   ${params[i]}`, 'color: #FA531B;')
//     }
//     console.groupEnd()
//     console.group('%c|-----------------------------     返回参数     ------------------------------|', 'color: #468ceb')
//     for (let i in result) {
//     // if (typeof result[i] === 'object') {
//     //   console.group(`%c|-----------------------------     ${i}     ------------------------------|`, 'color: #468ceb')
//     //   for (let j in result[i]) {
//     //     console.log(`%c|--- ${j}   =>   ${result[i][j]}`, 'color: #FA531B;')
//     //   }
//     //   console.groupEnd()
//     // } else {
//         console.log(`%c|--- ${i}   =>   ${result[i]}`, 'color: #FA531B;')
//     // }
//     }
//     console.groupEnd()
//     console.log('%c********************************    请求信息  E   *********************************', 'color: #468ceb')
// }
