/**
 * 弹窗封装
 * @param {*} content 弹窗内容
 * @param {*} param1
 * @param {*} config
 */
export const dialog = (content, {comfirm = () => {}, cancel = () => {}}, config = {}) => {
  wx.showModal({
    title: config.title || '提示',
    content: content,
    showCancel: config.showCancel,
    cancelText: config.cancelText || '取消',
    confirmText: config.confirmText || '确定',
    confirmColor: config.confirmColor || '#00AAFF',
    cancelColor: config.cancelColor || '#999',
    success: function(res) {
      if (res.confirm) {
        comfirm()
      } else if (res.cancel) {
        cancel()
      }
    }
  })
}
